Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class OWLFBRuleReasoner

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
          com.hp.hpl.jena.reasoner.rulesys.OWLFBRuleReasoner

All Implemented Interfaces:
  Reasoner, RuleReasoner

    public class OWLFBRuleReasoner

extends FBRuleReasoner

A hybrid forward/backward implementation of the OWL closure rules.

Version:
  $Revision: 1.19 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Constructor Summary
`OWLFBRuleReasoner(ReasonerFactory factory)` Constructor

Method Summary
`InfGraph` | `bind(Graph data)` Attach the reasoner to a set of RDF data to process.
`Reasoner` | `bindSchema(Graph tbox)` Precompute the implications of a schema graph.
`InfGraph` | `getPreload()` Get the single static precomputed rule closure.
`static java.util.List` | `loadRules()` Return the rule set, loading it in if necessary

Methods inherited from class com.hp.hpl.jena.reasoner.rulesys.FBRuleReasoner
`addDescription, addRules, bindSchema, getBoundSchema, getGraphCapabilities, getReasonerCapabilities, getRules, isTraceOn, loadRules, setDerivationLogging, setParameter, setRules, setTraceOn, supportsProperty, tablePredicate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLFBRuleReasoner

    public OWLFBRuleReasoner(ReasonerFactory factory)

  Constructor

Method Detail

### loadRules

    public static java.util.List loadRules()

  Return the rule set, loading it in if necessary

### bindSchema

    public Reasoner bindSchema(Graph tbox)
                        throws ReasonerException

  Precompute the implications of a schema graph. The statements in the graph will be combined with the data when the final InfGraph is created.

  Specified by:
    `bindSchema` in interface `Reasoner`
  Overrides:
    `bindSchema` in class `FBRuleReasoner`
  Parameters:
    `tbox` - the ontology axioms or rule set encoded in RDF
  Returns:
    a reasoner instace which can be used to process a data graph
  Throws:
    `ReasonerException` - if the reasoner cannot be bound to a rule set in this way, for example if the underlying engine can only accept a single rule set in this way and one rule set has already been bound in of if the ruleset is illformed.

### bind

    public InfGraph bind(Graph data)
                  throws ReasonerException

  Attach the reasoner to a set of RDF data to process. The reasoner may already have been bound to specific rules or ontology axioms (encoded in RDF) through earlier bindRuleset calls.

  Specified by:
    `bind` in interface `Reasoner`
  Overrides:
    `bind` in class `FBRuleReasoner`
  Parameters:
    `data` - the RDF data to be processed, some reasoners may restrict the range of RDF which is legal here (e.g. syntactic restrictions in OWL).
  Returns:
    an inference graph through which the data+reasoner can be queried.
  Throws:
    `ReasonerException` - if the data is ill-formed according to the constraints imposed by this reasoner.

### getPreload

    public InfGraph getPreload()

  Get the single static precomputed rule closure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP